<template>
  <el-dialog title="上报历史" width="80%" v-model="dialogVisible" @close="closed">
    <el-table border :data="dataTable" style="width: 100%; margin-bottom: 10px" v-loading="tableLoading"
      :header-cell-style="{ background: '#F6F6F6' }" height="70vh">
      <el-table-column :prop="item.prop" :label="item.label" v-for="(item, i) in tableColumn" :key="i">
      </el-table-column>
      <el-table-column align="center" label="操作" width="170" fixed="right">
        <template #default="{ row }">
          <el-link type="primary" @click="onDetail(row)">详情</el-link>
        </template>
      </el-table-column>
    </el-table>
  </el-dialog>

  <el-dialog title="上报历史" width="90%" v-model="detailVisible">
    <el-table border :data="detailTable" style="width: 100%; margin-bottom: 10px" v-loading="detailLoading"
      :header-cell-style="{ background: '#F6F6F6' }" height="70vh">
      <el-table-column :prop="item.prop" :label="item.label" v-for="(item, i) in detailColumn" :key="i">
        <template #default="{ row }" v-if="item.prop == 'ecProjBuildStatusName'">
          <dict-tag :options="D_BZ_SGZT" v-model="row.ecProjBuildStatusName" :tag="false" />
        </template>
      </el-table-column>
      <el-table-column align="center" label="操作" width="170" fixed="right">
        <template #default="{ row }">
          <el-link type="primary" @click="handleDetail(row)">详情</el-link>
        </template>
      </el-table-column>
    </el-table>
  </el-dialog>
  <DetailFxdy @close="detailCCVisible = false" :title="dialogTitle" :detail="detail" v-if="detailCCVisible" type="report"/>
</template>

<script setup>
import { onMounted, ref, getCurrentInstance } from "vue"
import { postApi } from "@/api/tobAcco_api.js"
import DetailFxdy from "../tab1/DetailFxdy.vue"
const { proxy } = getCurrentInstance()
const { D_BZ_SGZT } = proxy.$dict("D_BZ_SGZT")
const emit = defineEmits(["close"]);
const props = defineProps({
  params: Object,
})
const dialogVisible = ref(true)
const dataTable = ref([])
const tableColumn = ref([
  { label: '企业名称', prop: 'orgName' },
  { label: '上报次数', prop: 'sbcs' },
  { label: '风险总数', prop: 'riskCount' },
  { label: '橙色风险数量', prop: 'orangeCount' },
  { label: '红色风险数量', prop: 'redCount' },
  { label: '上报时间', prop: 'updateTime' },
])
const tableLoading = ref(false)
const detailVisible = ref(false)
const detailCCVisible = ref(false)
const dialogTitle = ref("")
const detail = ref(null)
const detailTable = ref([])
const detailColumn = ref([
  { label: '公司名称', prop: 'orgName' },
  { label: '风险单元名称', prop: 'riskUnitName' },
  { label: '风险评价类型', prop: 'riskEvaluateTypeName' },
  { label: '风险单元等级', prop: 'riskUnitLevelName' },
])
const detailLoading = ref(false)
onMounted(() => {
  getDataList()
})
const getDataList = () => {
  dataTable.value = []
  tableLoading.value = true

  postApi(props.params, "/mosty-jcgl/data/riskUnitStat/queryReportingHistoryStat").then(res => {
    if (res) {
      dataTable.value = res
      tableLoading.value = false
    }
  })
}
const getDetailList = data => {
  detailTable.value = []
  detailLoading.value = true
  let _data = props.params
  _data.sbcs = data.sbcs
  _data.orgCode = data.orgCode
  postApi(_data, "/mosty-jcgl/data/riskUnitStat/queryReportingHistoryStatLogDetails").then(res => {
    if (res) {
      detailTable.value = res
      detailLoading.value = false
    }
  })
}
const onDetail = e => {
  detailVisible.value = true
  getDetailList(e)
}
const handleDetail = row => {
  detail.value = row
  dialogTitle.value = `风险单元详情`
  detailCCVisible.value = true
}
const closed = () => {
  emit("close");
};
</script>

<style lang="scss" scoped></style>
